{ pkgs ? import <nixpkgs> {} }:

  pkgs.mkShell {
    packages = with pkgs; [
      # Rust
      cargo
      rustc

      # System
      pkg-config
      util-linux
    ];

    #inputsFrom = with pkgs; [ bat ];
    
    RUST_BACKTRACE = 1;

    shellHook = ''
       echo "Ready to make some Rust!"
    '';
}
